import 'dart:convert';
import 'package:sis_flutter/models/usuario_model.dart';
import 'package:sis_flutter/services/base_service.dart';

class UsuariosService extends BaseService {
  final endpoint = "/v1/usuario";

  Future<List<Usuario>> getUsuarios(
      int limit, int page, String idUsuario) async {
    var r = await get(endpoint, headers: {
      'Content-Type': 'application/json'
    }, queryParameters: {
      'usuario': idUsuario,
      'limit': limit.toString(),
      'page': page.toString(),
    });

    var body = jsonDecode(r.body);
    var usuariosBody =
        (body['resultado']).cast<Map<String, dynamic>>().toList();

    final List<Usuario> usuarioList = [];
    if (r.statusCode == 200) {
      for (var i in usuariosBody) {
        Usuario usuarioFromJson = Usuario.fromJson(i);
        usuarioList.add(usuarioFromJson);
      }
    }
    return usuarioList;
  }
}
